import axios from "../../api/axiosApi";
import {createAsyncThunk} from "@reduxjs/toolkit";

export const fetchProducts = createAsyncThunk(
    'products/fetch',
    async () => await axios.get('/products').then(res => res.data)
);

export const createProduct = createAsyncThunk(
    'products/create',
    async ({data, callback}) => await axios
        .post('/products', data)
        .then(res => callback())
);
