#!/bin/bash
REAL_PATH=`dirname $0`
cd $REAL_PATH
CURRENT_DIR=`pwd`

echo '# API'
cd $CURRENT_DIR/../api_client

echo '# Running fixtures'
npm run seed:test

echo '# Tests'

cd $CURRENT_DIR/../tests

echo "# Running tests"
npm run start
EXIT_CODE=$?

mongosh shop_test --eval "db.dropDatabase()"

exit ${EXIT_CODE}
